* {
  box-sizing: border-box;
}

html, body {
  height: 100%;
}

body {
  background: rgb(29,162,224);
  background: radial-gradient(circle, rgba(29,162,224,1) 25%, rgba(17,109,182,1) 100%);
}

.main-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  outline: 0;
  background: url("../img/cuccioli.png") bottom center no-repeat;
  background-size: contain;
}

.centered-container {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  height: 100%;
  width: 100%;
  min-height: 100%;
  max-width: 960px;
  margin: 0 auto;
}

.canvas-container.webgl-content {
  width: 100%;
  height: auto;
  padding: 10px;
  border-radius: 16px;
  background-color: #ffffff;
  -webkit-box-shadow: 0px 15px 30px 0px rgba(0, 0, 0, 0.3);
  -moz-box-shadow:    0px 15px 30px 0px rgba(0, 0, 0, 0.3);
  box-shadow:         0px 15px 30px 0px rgba(0, 0, 0, 0.3);
  top: auto;
  left: auto;
  position: relative;
  transform: none;
}

.canvas {
  width: 100%;
  height: auto;
}

.logo {
  width: 100%;
  max-width: 500px;
  margin-bottom: 20px;
  height: auto;
}

@media only screen and (max-height: 820px) {

  .logo {
    position: fixed;
    top: 10px;
    left: 10px;
    width: 120px;
  }

}

@media only screen and (max-height: 540px) {

  .canvas-container, .canvas {
    width: auto;
    height: 100%;
  }

}

@media only screen and (max-width: 540px) {

  .canvas-container, .canvas {
    width: 100% !important;
    height: auto !important;
  }

}
